#!/usr/bin/env python

"""
Simplified program representation.

Copyright (C) 2006, 2007 Paul Boddie <paul@boddie.org.uk>

This software is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License as
published by the Free Software Foundation; either version 2 of
the License, or (at your option) any later version.

This software is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public
License along with this library; see the file LICENCE.txt
If not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
"""

__version__ = "0.1"

from simplify.simplified.ast import *
from simplify.simplified.data import *
from simplify.simplified.program import *
from simplify.simplified.utils import *
import os

# Location of the built-in libraries.
# NOTE: Change this if the package structure changes.

libdir = os.path.join(os.path.split(os.path.split(__file__)[0])[0], "lib")

# Configuration setting.

Class = SingleInstanceClass
#Class = MultipleInstanceClass

def set_single_instance_mode():
    global Class
    Class = SingleInstanceClass

def set_multiple_instance_mode():
    global Class
    Class = MultipleInstanceClass

def set_selective_multiple_instance_mode():
    global Class
    Class = SelectiveMultipleInstanceClass

def set_prolific_multiple_instance_mode():
    global Class
    Class = ProlificMultipleInstanceClass

# vim: tabstop=4 expandtab shiftwidth=4
